<?php

use Illuminate\Support\Facades\Route;
use Modules\Statistic\Http\Controllers\UserStatisticsController;
use Modules\Statistic\Http\Controllers\VideoStatController;

Route::prefix('statistic')->group(function(){
    //next
    // 用户统计
    Route::prefix('users')->group(function (){
        Route::any('today',[UserStatisticsController::class,'todayData']);
    });

    // 短剧统计
    Route::prefix('video')->group(function (){
        Route::get('list',[VideoStatController::class,'index'])->withoutMiddleware(config('catch.route.middlewares'));
        Route::get('stats',[VideoStatController::class,'stats'])->withoutMiddleware(config('catch.route.middlewares'));
    });
});
